DCMTK: DVPSTextObject_PList Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSTextObject_PList Class Reference

the list of text objects contained in a presentation state (internal use only). More...

## Public Member Functions
| DVPSTextObject_PList ()
| default constructor
| DVPSTextObject_PList (const DVPSTextObject_PList &copy)
| copy constructor
DVPSTextObject_PList * | clone ()
| clone method.
virtual | ~DVPSTextObject_PList ()
| destructor
OFCondition | read (DcmItem &dset)
| reads a list of text objects from a DICOM dataset.
OFCondition | write (DcmItem &dset)
| writes the list of text objects managed by this object to a DICOM dataset.
void | clear ()
| reset the object to initial state.
size_t | size () const
| get number of text objects in this list.
DVPSTextObject * | getTextObject (size_t idx)
| returns a pointer to the text object with the given index or NULL if it does not exist.
void | addTextObject (DVPSTextObject *text)
| adds the given text object to the list of text objects managed by this object.
DVPSTextObject * | removeTextObject (size_t idx)
| returns a pointer to the text object with the given index (or NULL if it does not exist) and removes it from the list.

## Private Member Functions
DVPSTextObject_PList & | operator= (const DVPSTextObject_PList &)
| private undefined assignment operator

## Private Attributes
OFList< DVPSTextObject * > | list_
| the list maintained by this object

## Detailed Description

the list of text objects contained in a presentation state (internal use only).

This class manages the data structures comprising one complete Text Object Sequence which is contained in one item of the Graphic Annotation Sequence in a Presentation State object.

## Member Function Documentation

## ◆ addTextObject()

void DVPSTextObject_PList::addTextObject | ( | DVPSTextObject * | text | ) |

adds the given text object to the list of text objects managed by this object.

Parameters

  text | text object to be inserted.

## ◆ clear()

void DVPSTextObject_PList::clear | ( |  | ) |

reset the object to initial state.

After this call, the object is in the same state as after creation with the default constructor.

## ◆ clone()

DVPSTextObject_PList * DVPSTextObject_PList::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSTextObject_PList object containing a deep copy of this object.

References DVPSTextObject_PList().

## ◆ getTextObject()

DVPSTextObject * DVPSTextObject_PList::getTextObject | ( | size_t | idx | ) |

returns a pointer to the text object with the given index or NULL if it does not exist.

Parameters

  idx | index, must be < size()

Returns
  pointer to text object or NULL

## ◆ read()

OFCondition DVPSTextObject_PList::read | ( | DcmItem & | dset | ) |

reads a list of text objects from a DICOM dataset.

The DICOM elements of the Text Object Sequence are copied from the dataset to this object. The completeness of the item (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the dataset from which the TextObjectSequence is to be read

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ removeTextObject()

DVPSTextObject * DVPSTextObject_PList::removeTextObject | ( | size_t | idx | ) |

returns a pointer to the text object with the given index (or NULL if it does not exist) and removes it from the list.

Parameters

  idx | index, must be < size()

Returns
  pointer to text object or NULL

## ◆ size()

size_t DVPSTextObject_PList::size | ( |  | ) | const
| inline

get number of text objects in this list.

Returns
  the number of text objects.

References list_.

## ◆ write()

OFCondition DVPSTextObject_PList::write | ( | DcmItem & | dset | ) |

writes the list of text objects managed by this object to a DICOM dataset.

Copies of the DICOM elements managed by this object are inserted into the DICOM dataset.

Parameters

  dset | the dataset to which the TextObjectSequence is written

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpstxl.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2